Loading...
Searching...
No Matches
LogOrigin.h File Reference
`#include <casacore/casa/aips.h>`
`#include <casacore/casa/BasicSL/String.h>`
`#include <casacore/casa/System/ObjectID.h>`
`#include <casacore/casa/iosfwd.h>`

Go to the source code of this file.

## Classes

class | casacore::LogOrigin
| More...
struct | casacore::LogOrigin_global_functions_LogOrigin_ostream
| Write a LogOrigin to an ostream. More...
struct | casacore::LogOrigin_global_functions_SourceLocation
| Helper struct to get the source line. More...
struct | casacore::LogOrigin_global_functions_SourceLocation::SourceLocation

## Namespaces

namespace | casacore
| this file contains all the compiler specific defines

## Macros

#define | WHERE

## Macro Definition Documentation

## WHERE

#define WHERE

Definition at line 212 of file LogOrigin.h.